You are viewing a news item in the old website format. There may be display issues in some browser versions.


Changes to World of Tanks Assistant Support


We would like inform you that that after October 15, World of Tanks Assistant version 1.4.3 and previous versions will no longer be supported. If you are a frequent user of the app, we strongly recommend that you update to the latest version at your earliest convenience.

The above links will take you to detailed descriptions of the WoTA application. Thank you!